List Whatsapp message templates
GET
/
whatsapp
/
message_templates
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const whatsappTemplateData of client.whatsapp.templates.list()) {
console.log(whatsappTemplateData.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.whatsapp.templates.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Whatsapp.Templates.List(context.TODO(), telnyx.WhatsappTemplateListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.templates.TemplateListPage;
import com.telnyx.sdk.models.whatsapp.templates.TemplateListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TemplateListPage page = client.whatsapp().templates().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.whatsapp.templates.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->whatsapp->templates->list(
filterCategory: 'MARKETING',
filterSearch: 'filter[search]',
filterStatus: 'filter[status]',
filterWabaID: 'filter[waba_id]',
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:templates list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/whatsapp/message_templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"record_type": "whatsapp_message_template",
"template_id": "<string>",
"name": "<string>",
"language": "<string>",
"status": "<string>",
"rejection_reason": "<string>",
"components": [
{}
],
"whatsapp_business_account": {
"id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Filter by WABA ID
Filter by category
Available options:
MARKETING, UTILITY, AUTHENTICATION Filter by template status
Search templates by name
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const whatsappTemplateData of client.whatsapp.templates.list()) {
console.log(whatsappTemplateData.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.whatsapp.templates.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Whatsapp.Templates.List(context.TODO(), telnyx.WhatsappTemplateListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.templates.TemplateListPage;
import com.telnyx.sdk.models.whatsapp.templates.TemplateListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TemplateListPage page = client.whatsapp().templates().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.whatsapp.templates.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->whatsapp->templates->list(
filterCategory: 'MARKETING',
filterSearch: 'filter[search]',
filterStatus: 'filter[status]',
filterWabaID: 'filter[waba_id]',
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:templates list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/whatsapp/message_templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"record_type": "whatsapp_message_template",
"template_id": "<string>",
"name": "<string>",
"language": "<string>",
"status": "<string>",
"rejection_reason": "<string>",
"components": [
{}
],
"whatsapp_business_account": {
"id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}